# Entity Reference Current Language

## Overview

Entity Reference Current Language is a Drupal module that provides a selection plugin for entity reference fields. It filters referenced entities to match the current site language, simplifying content management in multilingual Drupal sites.

## Features

- Filters entity reference fields by current language
- Compatible with all entity reference widgets
- Configurable on a per-field basis
- Enhances multilingual content management

## Requirements

- Drupal 10.x or 11.x
- Core Language module enabled

## Installation

1. Install the module via Composer:

```
composer require drupal/entity_reference_current_language
```
2. Enable the module:

```
drush en entity_reference_current_language
```

## Usage

1. Edit an entity reference field configuration
2. Under "Reference type", select "Current Language"
3. Save the field settings

The field will now only display entities matching the current page language.

## Configuration

No global configuration is required. Settings are managed per entity reference field.

## Maintainers

* Sang Lostrie (baikho) - https://www.drupal.org/u/baikho

## Supporting organizations:

* [iO](https://www.drupal.org/io) - Development and maintenance
